# Ogre::LinearResampler Struct Reference
Image

`#include <OgreImageResampler.h>`

List of all members.

## Static Public Member Functions

static void | scale (const PixelBox &src, const PixelBox &dst)

## Detailed Description

Definition at line 94 of file OgreImageResampler.h.

## Member Function Documentation

static void Ogre::LinearResampler::scale | ( | const PixelBox & | src,
|  | const PixelBox & | dst
| ) |  | `[static]`

Definition at line 95 of file OgreImageResampler.h.

References Ogre::Box::back, Ogre::Box::bottom, Ogre::PixelBox::data, Ogre::PixelBox::format, Ogre::Box::front, Ogre::Box::getDepth(), Ogre::Box::getHeight(), Ogre::PixelUtil::getNumElemBytes(), Ogre::PixelBox::getRowSkip(), Ogre::PixelBox::getSliceSkip(), Ogre::Box::getWidth(), Ogre::Box::left, Ogre::PixelUtil::packColour(), Ogre::Box::right, Ogre::Box::top, and UNPACK.

The documentation for this struct was generated from the following file:

- OgreImageResampler.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:20